close

[Solved] conda 4.7.7 ->4.6 – Collecting package metadata (current_repodata.json) – (channel conda-forge) ipywidgets-5.2.3-py36_0 due to InvalidSpec: ==1.*

Hello Guys, How are you all? Hope You all Are Fine. Today I get the following error conda 4.7.7 ->4.6 – Collecting package metadata (current_repodata.json) – (channel conda-forge) ipywidgets-5.2.3-py36_0 due to InvalidSpec: ==1.* in python. So Here I am Explain to you all the possible solutions here.

Without wasting your time, Let’s start This Article to Solve This Error.

How conda 4.7.7 ->4.6 – Collecting package metadata (current_repodata.json) – (channel conda-forge) ipywidgets-5.2.3-py36_0 due to InvalidSpec: ==1.* Error Occurs?

Today I get the following error conda 4.7.7 ->4.6 – Collecting package metadata (current_repodata.json) – (channel conda-forge) ipywidgets-5.2.3-py36_0 due to InvalidSpec: ==1.* in python.

How To Solve conda 4.7.7 ->4.6 – Collecting package metadata (current_repodata.json) – (channel conda-forge) ipywidgets-5.2.3-py36_0 due to InvalidSpec: ==1.* Error ?

  1. How To Solve conda 4.7.7 ->4.6 – Collecting package metadata (current_repodata.json) – (channel conda-forge) ipywidgets-5.2.3-py36_0 due to InvalidSpec: ==1.* Error ?

    To Solve conda 4.7.7 ->4.6 – Collecting package metadata (current_repodata.json) – (channel conda-forge) ipywidgets-5.2.3-py36_0 due to InvalidSpec: ==1.* Error I work with win10 1903, python 3.7 and conda 4.7.
    I downgrade conda to 4.6.14 and reboot. Then everything works normally.

  2. conda 4.7.7 ->4.6 – Collecting package metadata (current_repodata.json) – (channel conda-forge) ipywidgets-5.2.3-py36_0 due to InvalidSpec: ==1.*

    To Solve conda 4.7.7 ->4.6 – Collecting package metadata (current_repodata.json) – (channel conda-forge) ipywidgets-5.2.3-py36_0 due to InvalidSpec: ==1.* Error I work with win10 1903, python 3.7 and conda 4.7.
    I downgrade conda to 4.6.14 and reboot. Then everything works normally.

Solution 1

This solution helped my system, set a conda config parameter conda docs

conda config --set allow_conda_downgrades true
conda install conda=4.6.11

It works all right again.

Solution 2

I work with win10 1903, python 3.7 and conda 4.7.

I downgrade conda to 4.6.14 and reboot. Then everything works normally.

Summery

It’s all About this issue. Hope all solution helped you a lot. Comment below Your thoughts and your queries. Also, Comment below which solution worked for you? Thank You.

Also, Read